;;;
;;; change-log-config.el - this is the configuration file for package change-log
;;;
;;; Copyright (C) 2002 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <2002-11-04 16:41:30 schwarz>
;;;

(require 'config-general)
(require 'ginel-string)

(defun sico-add-log-file-name-function (buffer-file-name)
  (setq directory (file-name-directory change-log-default-name))

  (ginel-string-replace
   (ginel-string-replace buffer-file-name directory "")
   "net/justsimple/sico"
   "...")
)

(provide 'change-log-config)

;;; end of change-log-config.el
