;;;
;;; fvwm-mode-config.el - this is the configuration file for package fvwm-mode
;;;
;;; Copyright (C) 1998 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1998-03-22 11:26:51 schwarz>
;;;

(require 'config-general)

(add-hook 'fvwm-mode-hook
	  (function (lambda ()
		      (if window-system
			  (progn
			    (font-lock-mode t)
			    (setq font-lock-keywords fvwm-font-lock-keywords)
			    (font-lock-fontify-buffer))))))

(provide 'fvwm-mode-config)

;;; end of fvwm-mode-config.el
