;;;
;;; hideshow-config.el - this is the configuration file for package hideshow
;;;
;;; Copyright (C) 1998 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1998-03-22 11:23:05 schwarz>
;;;

(require 'config-general)

(load-library "hideshow")
(defun my-hs-setup () "enables hideshow and binds some commands"
  (hs-minor-mode 1)
  (define-key hs-minor-mode-map "\C-ch" 'hs-hide-block)
  (define-key hs-minor-mode-map "\C-cs" 'hs-show-block)
  (define-key hs-minor-mode-map "\C-cH" 'hs-hide-all)
  (define-key hs-minor-mode-map "\C-cS" 'hs-show-all)
  (define-key hs-minor-mode-map "\C-cR" 'hs-show-region))
(add-hook 'c-mode-common-hook 'my-hs-setup t)   

(provide 'hideshow-config)

;;; end of hideshow-config.el
