;;;
;;; jde-config.el - this is the configuration file for package jde
;;;
;;; Copyright (C) 1998, 1999, 2000, 2001, 2002 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <2002-11-04 09:31:24 schwarz>
;;;

(require 'config-general)

(require 'font-lock)

(font-lock-add-keywords 
 'java-mode
 '(("\\<\\(TODO\\|Todo\\|todo\\)\\>" 1 font-lock-warning-face prepend)
   ("\\<\\(REVIEW\\|Review\\|review\\)\\>" 1 font-lock-warning-face prepend)
   ("\\<\\(NotImplementedException\\)\\>" 1 font-lock-warning-face prepend)
   ))

(require 'jde-java-font-lock)
(require 'jde)
(autoload 'jde "jde" "Java Development Environment." t)

(provide 'jde-config)

;;; end of jde-config.el