;;;
;;; python-mode-config.el - this is the configuration file for package 
;;;
;;; Copyright (C) 1998, 1999 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1999-05-27 15:08:01 schwarz>
;;;

(require 'config-general)

(setq auto-mode-alist
      (cons '("\\.py$" . python-mode) auto-mode-alist))
(setq interpreter-mode-alist
      (cons '("python" . python-mode)
            interpreter-mode-alist))

(autoload 'python-mode "python-mode" "Python editing mode." t)

(provide 'python-mode-config)

;;; end of python-mode-config.el
