;;;
;;; compile-config.el - this is the configuration file for package compile
;;;
;;; Copyright (C) 1998 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1998-03-22 11:21:01 schwarz>
;;;

(require 'config-general)

(add-hook 'compilation-mode-hook
	  '(lambda ()
	     ; save all files before compilation starts
	     (setq compilation-ask-about-save nil) 
             (font-lock-mode t)
             ))

(provide 'compile-config)

;;; end of compile-config.el
