;;;
;;; dictionary-config.el - configuration file for package dictionary
;;;
;;; Copyright (C) 1999 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1999-01-27 15:26:34 schwarz>
;;;

(require 'config-general)

(defun show-dictionary (process event)
  (display-buffer "*dictionary lookup*")
  (set-window-start (get-buffer-window "*dictionary lookup*") 0)
  )  

(defun dict-lookup (word)
  (interactive "sWord to look up: ")
  (set-buffer-modified-p nil)
  (if (buffer-live-p (get-buffer "*dictionary lookup*"))
      (kill-buffer "*dictionary lookup*"))
  (start-process "dict-process" "*dictionary lookup*" "dict" word)
  (set-process-sentinel (get-process "dict-process") 'show-dictionary)
  )

(provide 'dictionary-config)

;;; end of dictionary-config.el
