;;;
;;; listbuf-config.el - this is the configuration file for package 
;;;
;;; Copyright (C) 1998, 1999 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <1999-12-23 22:29:02 schwarz>
;;;

(require 'config-general)

(autoload 'listbuf "listbuf" nil t)
(substitute-key-definition 'list-buffers 'listbuf ctl-x-map)

;sort buffer menu
(setq listbuf-sorting-predicate 'listbuf-sort-by-buffer-name)

;set point on most recently selected buffer
(setq listbuf-position-on-current-buffer-p t)

(provide 'listbuf-config)

;;; end of listbuf-config.el
