;;;
;;; pcl-cvs-config.el - this is the configuration file for package 
;;;
;;; Copyright (C) 1999, 2000, 2001, 2002 by Janek Schwarz
;;;
;;; Written by: Janek Schwarz <schwarz@informatik.hu-berlin.de>
;;;
;;; Time-stamp: <2002-01-20 16:39:00 schwarz>
;;;

(require 'config-general)

;(require 'pcl-cvs-startup)
(require 'pcvs-defs)

(setq cvs-erase-input-buffer t)

(if (eq window-system 'w32)
    (setq cvs-program "c:/bin/cvs.exe"))

(autoload 'diff-mode "diff-mode" "Diff major mode" t)
(add-to-list 'auto-mode-alist 
             '("\\.\\(diffs?\\|patch\\|rej\\)\\'" . diff-mode))

(add-hook 'cvs-edit-mode-hook
          '(lambda()
             (camelCase-mode 1)
             (font-lock-mode 1)
             ))

(provide 'pcl-cvs-config)
;;; end of pcl-cvs-config.el

;;; Local Variables:
;;; no-byte-compile: t
;;; no-update-autoloads: t
;;; End:
